Linux repositories inspector

ruby-activesupport - Support and utility classes used by the Rails 4.1 framework

ActiveSupport consists of utility classes and extensions to the Ruby standard library that were required for Rails but found to be generally useful.
5.2.2
Debian iconDebian 10.0
Ubuntu iconUbuntu 19.04
4.2.10
Debian iconDebian 9.0
Ubuntu iconUbuntu 18.04 LTS
Ubuntu iconUbuntu 18.10
Ubuntu iconUbuntu 19.04
4.2.9
Ubuntu iconUbuntu 17.10
4.2.7.1
Debian iconDebian 9.0
4.2.6
Ubuntu iconUbuntu 16.04 LTS
DistributionVersionSincePackageInstalledPackager
Debian iconDebian 10.0 buster/maindeb2:5.2.2+dfsg-615.03.2019231 kiB1.99 MiB
Debian iconDebian 9.0 stretch/maindeb2:4.2.7.1-110.11.2017206 kiB1.73 MiB
Debian iconDebian 9.0 stretch-backports/maindeb2:4.2.10-1~bpo9+119.06.2018211 kiB1.74 MiB
Ubuntu iconUbuntu 17.10 artful/universedeb2:4.2.9-210.11.2017198 kiB1.74 MiB
Ubuntu iconUbuntu 18.04 LTS bionic/universedeb2:4.2.10-0ubuntu419.06.2018197 kiB1.74 MiB
Ubuntu iconUbuntu 18.10 cosmic/universedeb2:4.2.10-0ubuntu414.01.2019197 kiB1.74 MiB
Ubuntu iconUbuntu 19.04 disco/universedeb2:4.2.10-0ubuntu414.01.2019197 kiB1.74 MiB
Ubuntu iconUbuntu 19.04 disco-proposed/universedeb2:5.2.2+dfsg-621.03.2019228 kiB1.99 MiB
Ubuntu iconUbuntu 16.04 LTS xenial/universedeb2:4.2.6-110.11.2017197 kiB1.72 MiB

Latest updates

Ubuntu 19.04 icon

Ubuntu 19.04 disco-proposed/universe: Updated from 2:5.2.2+dfsg-5 to 2:5.2.2+dfsg-6

21.03.2019 08:00
Antonio Terceiro
  • debian/tests/control: remove explicit call to gem2deb-test-runner, as it will be added automatically by autodep8.
Pirate Praveen
  • Move all Recommends from ruby-rails to rails as Depends (Closes: #923507)
  • Drop obsolete Breaks + Replaces rails3
  • Drop needs-recommends restriction in newapp autopkgtest
  • Add debian/node_modules path in activestorage/rollup.config.js for spark-md5
Debian 10.0 icon

Debian 10.0 buster/main: Updated from 2:5.2.2+dfsg-5 to 2:5.2.2+dfsg-6

15.03.2019 22:52
Antonio Terceiro
  • debian/tests/control: remove explicit call to gem2deb-test-runner, as it will be added automatically by autodep8.
Pirate Praveen
  • Move all Recommends from ruby-rails to rails as Depends (Closes: #923507)
  • Drop obsolete Breaks + Replaces rails3
  • Drop needs-recommends restriction in newapp autopkgtest
  • Add debian/node_modules path in activestorage/rollup.config.js for spark-md5
Debian 10.0 icon

Debian 10.0 buster/main: Updated from 2:5.2.2+dfsg-1 to 2:5.2.2+dfsg-5

17.02.2019 22:22
  • Recommend ruby-chromedriver-helper in ruby-rails
Ubuntu 19.04 icon

Ubuntu 19.04 disco-proposed/universe: Updated from 2:5.2.2+dfsg-4 to 2:5.2.2+dfsg-5

08.02.2019 14:00
  • Recommend ruby-chromedriver-helper in ruby-rails
Ubuntu 19.04 icon

Ubuntu 19.04 disco-proposed/universe: Updated from 2:5.2.2+dfsg-3 to 2:5.2.2+dfsg-4

07.02.2019 07:45
  • Allow ruby-sprockets-rails >= 3
  • Bump Standards-Version to 4.3.0 (no changes needed)
Ubuntu 19.04 icon

Ubuntu 19.04 disco-proposed/universe: Updated from 2:5.2.2+dfsg-2 to 2:5.2.2+dfsg-3

07.02.2019 04:05
  • Build action_cable.js using blade build system for ruby-actioncable
Ubuntu 19.04 icon

Ubuntu 19.04 disco-proposed/universe: Updated from 2:5.2.2+dfsg-1build2 to 2:5.2.2+dfsg-2

06.02.2019 07:20
  • Use --gem-install option to dh_ruby as many components now has javascript files targeted for asset pipeline.
  • Fix typo in rules to correctly override dh_auto_build (Closes: #897641)
  • Switch to rollup for building activestorage.js, like upstream
  • Build rails-ujs as part of ruby-actionview with blade build system
Debian 10.0 icon

Debian 10.0 buster/main: Updated from 2:4.2.10-1 to 2:5.2.2+dfsg-1

05.02.2019 10:02
  • New upstream version 5.2.2 (Closes: #914847, #914848)
    (Fixes: CVE-2018-16476, CVE-2018-16477)
  • Delete 0002-edit-activestorage-webpack-config-js.patch
  • Add 0002-disable-uglify-in-activestorage-rollup-config-js.patch
Ubuntu 19.04 icon

Ubuntu 19.04 disco-proposed/universe: Updated from 2:4.2.10-1ubuntu1 to 2:5.2.2+dfsg-1build2

16.01.2019 11:14
  • Rebuild with tests enabled
Ubuntu 19.04 icon

Ubuntu 19.04 disco-proposed/universe: Version 2:4.2.10-1ubuntu1 introduced

14.01.2019 13:14
  • Re-apply be9dc78fccc80bb5045c67b435b5c7e36ea8a296.patch that was dropped when syncing the Debian version over the previous Ubuntu.
Ubuntu 19.04 icon

Ubuntu 19.04 disco/universe: Version 2:4.2.10-0ubuntu4 introduced

14.01.2019 13:12
  • Add ruby-debug-inspector recommends.
Ubuntu 18.10 icon

Ubuntu 18.10 cosmic/universe: Version 2:4.2.10-0ubuntu4 introduced

14.01.2019 03:14
  • Add ruby-debug-inspector recommends.
Debian 10.0 icon

Debian 10.0 buster/main: Updated from 2:4.2.9-4 to 2:4.2.10-1

12.01.2019 14:11
  • New upstream version 4.2.10
  • Bump debhelper compat to 11 and standards version to 4.1.3
Debian 9.0 icon

Debian 9.0 stretch-backports/main: Version 2:4.2.10-1~bpo9+1 introduced

19.06.2018 07:50
  • Rebuild for stretch-backports.
Ubuntu 18.04 LTS icon

Ubuntu 18.04 LTS bionic-proposed/universe: Version 2:4.2.10-0ubuntu4 removed

19.06.2018 07:49
Ubuntu 18.04 LTS icon

Ubuntu 18.04 LTS bionic/universe: Updated from 2:4.2.9-4 to 2:4.2.10-0ubuntu4

19.06.2018 07:48
  • Add ruby-debug-inspector recommends.
Ubuntu 18.04 LTS icon

Ubuntu 18.04 LTS bionic-proposed/universe: Updated from 2:4.2.10-0ubuntu3 to 2:4.2.10-0ubuntu4

14.03.2018 02:43
  • Add ruby-debug-inspector recommends.
Ubuntu 18.04 LTS icon

Ubuntu 18.04 LTS bionic-proposed/universe: Updated from 2:4.2.10-0ubuntu1 to 2:4.2.10-0ubuntu3

08.03.2018 11:55
  • Bump sdoc depdency to match ruby2.5
Ubuntu 18.04 LTS icon

Ubuntu 18.04 LTS bionic-proposed/universe: Version 2:4.2.10-0ubuntu1 introduced

07.03.2018 10:30
  • New upstream release
Ubuntu 18.04 LTS icon

Ubuntu 18.04 LTS bionic-proposed/universe: Version 2:4.2.9-4 removed

03.02.2018 19:45

Related packages

ruby - Interpreter of object-oriented scripting language Ruby (default version)
⇧ Top